<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "provider_ga".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProviderGa".
 *
 * Columns in table "provider_ga" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $provider_id
 * @property integer $practice_id
 * @property string $ga_id
 * @property integer $min_duration
 * @property string $domain
 * @property string $page
 * @property string $category
 * @property string $event
 * @property string $title
 * @property string $phone_number
 *
 */
abstract class BaseProviderGa extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'provider_ga';
    }

    public static function representingColumn()
    {
        return 'ga_id';
    }

    public function rules()
    {
        // NOTE: you should only define rules for those attributes that
        // will receive user inputs.
        return array(
            array('provider_id, ga_id, min_duration', 'required'),
            array('provider_id, min_duration', 'numerical', 'integerOnly' => true),
            array('ga_id, phone_number', 'length', 'max' => 45),
            array('domain, page, category, event, title', 'length', 'max' => 255),
            // The following rule is used by search().
            // Please remove those attributes that should not be searched.
            array('id, provider_id, ga_id, min_duration, domain, page, category, event, title, phone_number',
                'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    /**
     * @return array customized attribute labels (name=>label)
     */
    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'provider_id' => Yii::t('app', 'Provider'),
            'practice_id' => Yii::t('app', 'Practice'),
            'ga_id' => Yii::t('app', 'Ga'),
            'min_duration' => Yii::t('app', 'Min Duration'),
            'domain' => Yii::t('app', 'Domain'),
            'page' => Yii::t('app', 'Page'),
            'category' => Yii::t('app', 'Category'),
            'event' => Yii::t('app', 'Event'),
            'title' => Yii::t('app', 'Title'),
            'phone_number' => Yii::t('app', 'Phone Number'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('provider_id', $this->provider_id);
        $criteria->compare('practice_id', $this->practice_id);
        $criteria->compare('ga_id', $this->ga_id, true);
        $criteria->compare('min_duration', $this->min_duration);
        $criteria->compare('domain', $this->domain, true);
        $criteria->compare('page', $this->page, true);
        $criteria->compare('category', $this->category, true);
        $criteria->compare('event', $this->event, true);
        $criteria->compare('title', $this->title, true);
        $criteria->compare('phone_number', $this->phone_number, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProviderGa|ProviderGas', $n);
    }

}
